WebSpaces endpoints (Admin API) 46 FeatherPanel Admin API endpoints from admin/webspaces.php: methods, paths, auth, permissions, rate limits, parameters and responses.
Last synced from FeatherPanel 15b94e9 on 23 Oct 2026 .
On this page
Defined in backend/app/routes/admin/webspaces.php . Authentication used here: Admin . Read Authentication for how to send credentials and Rate limits and errors for the response envelope.
Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.
Endpoints GET /api/admin/webspacesList WebSpaces
curl -X GET " $PANEL_URL /api/admin/webspaces" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/hosting-maturityWeb hosting platform maturity
curl -X GET " $PANEL_URL /api/admin/webspaces/hosting-maturity" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/hosting-setup/wizardAdmin first-node setup wizard steps
curl -X GET " $PANEL_URL /api/admin/webspaces/hosting-setup/wizard" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/panel-webmail/installcurl -X POST " $PANEL_URL /api/admin/webspaces/panel-webmail/install" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/infrastructure-readinessWebSpace infrastructure readiness
curl -X GET " $PANEL_URL /api/admin/webspaces/infrastructure-readiness" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}Get WebSpace
Parameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" PATCH /api/admin/webspaces/{uuid}Update WebSpace settings
Parameter In Type Required Description uuidpath - yes
curl -X PATCH " $PANEL_URL /api/admin/webspaces/ $UUID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:updated
PUT /api/admin/webspacesCreate WebSpace on panel + daemon
curl -X PUT " $PANEL_URL /api/admin/webspaces" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:created
DELETE /api/admin/webspaces/{uuid}Delete WebSpace
Parameter In Type Required Description uuidpath - yes
curl -X DELETE " $PANEL_URL /api/admin/webspaces/ $UUID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:deleted
POST /api/admin/webspaces/{uuid}/powerParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /power" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/statusParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /status" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/logsParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /logs" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/logs/installParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /logs/install" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/bandwidth/resetParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /bandwidth/reset" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/reinstallParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /reinstall" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/install/abortParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /install/abort" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/syncParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /sync" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/recreate-runtimeParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /recreate-runtime" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/sslParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /ssl" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/ssl/renewParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /ssl/renew" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/dns-checkParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /dns-check" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/dns/provisionProvision DNS A records
Parameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /dns/provision" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/ssl/customCustom SSL status
Parameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /ssl/custom" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" PUT /api/admin/webspaces/{uuid}/ssl/customParameter In Type Required Description uuidpath - yes
curl -X PUT " $PANEL_URL /api/admin/webspaces/ $UUID /ssl/custom" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" DELETE /api/admin/webspaces/{uuid}/ssl/customParameter In Type Required Description uuidpath - yes
curl -X DELETE " $PANEL_URL /api/admin/webspaces/ $UUID /ssl/custom" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/backupsParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /backups" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/backups/reconcileParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /backups/reconcile" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/backupParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /backup" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:backup:create
DELETE /api/admin/webspaces/{uuid}/backups/{backupUuid}Parameter In Type Required Description uuidpath - yes backupUuidpath - yes
curl -X DELETE " $PANEL_URL /api/admin/webspaces/ $UUID /backups/ $BACKUP_UUID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:backup:delete
POST /api/admin/webspaces/{uuid}/backups/{backupUuid}/restoreParameter In Type Required Description uuidpath - yes backupUuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /backups/ $BACKUP_UUID /restore" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:backup:restore
GET /api/admin/webspaces/{uuid}/backups/{backupUuid}/filesParameter In Type Required Description uuidpath - yes backupUuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /backups/ $BACKUP_UUID /files" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/backups/{backupUuid}/downloadParameter In Type Required Description uuidpath - yes backupUuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /backups/ $BACKUP_UUID /download" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/backups/importParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /backups/import" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/transfer/statusParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /transfer/status" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/transferParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /transfer" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/jwtParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /jwt" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/suspendParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /suspend" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:suspended
POST /api/admin/webspaces/{uuid}/unsuspendParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /unsuspend" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:unsuspended
GET /api/admin/webspaces/{uuid}/dns/zonesParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" GET /api/admin/webspaces/{uuid}/dns/hostsParameter In Type Required Description uuidpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /dns/hosts" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/dns/zonesParameter In Type Required Description uuidpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:dns:zone:linked
DELETE /api/admin/webspaces/{uuid}/dns/zones/{zoneId}Parameter In Type Required Description uuidpath - yes zoneIdpath - yes
curl -X DELETE " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones/ $ZONE_ID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:dns:zone:unlinked
GET /api/admin/webspaces/{uuid}/dns/zones/{zoneId}/recordsParameter In Type Required Description uuidpath - yes zoneIdpath - yes
curl -X GET " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones/ $ZONE_ID /records" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" POST /api/admin/webspaces/{uuid}/dns/zones/{zoneId}/recordsParameter In Type Required Description uuidpath - yes zoneIdpath - yes
curl -X POST " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones/ $ZONE_ID /records" \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:dns:record:created
PATCH /api/admin/webspaces/{uuid}/dns/zones/{zoneId}/records/{recordId}Parameter In Type Required Description uuidpath - yes zoneIdpath - yes recordIdpath - yes
curl -X PATCH " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones/ $ZONE_ID /records/ $RECORD_ID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:dns:record:updated
DELETE /api/admin/webspaces/{uuid}/dns/zones/{zoneId}/records/{recordId}Parameter In Type Required Description uuidpath - yes zoneIdpath - yes recordIdpath - yes
curl -X DELETE " $PANEL_URL /api/admin/webspaces/ $UUID /dns/zones/ $ZONE_ID /records/ $RECORD_ID " \
-H "Authorization: Bearer $FEATHERPANEL_API_KEY " \
-H "Accept: application/json" Plugin events: featherpanel:webspace:dns:record:deleted